Claim Pending Deposit (Admin Or otc_officer)
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/claim \
--header 'Authorization: Bearer <token>'import requests
url = "https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/claim"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deposit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fiat_amount": "<string>",
"fiat_currency": "<string>",
"payment_reference": "<string>",
"proof_url": "/otc-deposits-proof/ce6e4186-16fe-4e0d-a97d-7638f11c6063/8251c719-0941-46da-8792-5acce5e5efc8.pdf",
"transfer_date": "2023-11-07T05:31:56Z",
"merchant_request_id": "<string>",
"checkout_request_id": "<string>",
"mpesa_receipt_number": "<string>",
"mpesa_phone_number": "<string>",
"sender_account_name": "<string>",
"sender_account_number_last4": "<string>",
"sender_bank_name": "<string>",
"sender_bank_branch": "<string>",
"receipt_number": "<string>",
"receipt_uploaded_at": "2023-11-07T05:31:56Z",
"proof_file_name": "<string>",
"proof_mime_type": "<string>",
"proof_size_bytes": 123,
"proof_file_sha256": "<string>",
"requested_asset": "<string>",
"requested_network": "<string>",
"requested_crypto_amount": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"negotiated_fx_reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmed_at": "2023-11-07T05:31:56Z",
"confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejected_at": "2023-11-07T05:31:56Z",
"rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejection_reason": "<string>",
"internal_note": "<string>",
"credited_at": "2023-11-07T05:31:56Z",
"credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usdt_amount": "<string>",
"credited_asset": "<string>",
"credited_crypto_amount": "<string>",
"credited_to_address": "TJyF42dRr18tSiXV9Cf7JtYUtTbqAGZg94",
"to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_to_address": "<string>",
"payout_to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_network": "<string>",
"payout_asset": "<string>",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"assigned_to_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}OTC Deposits
Claim Pending Deposit (Admin Or otc_officer)
Sets assigned_to_user_id when currently unassigned and status is pending.
POST
/
api
/
v1
/
auth
/
otc
/
deposits
/
{id}
/
claim
Claim Pending Deposit (Admin Or otc_officer)
⌘I